
_Config:

;AD9059.c,24 :: 		void Config(){
;AD9059.c,25 :: 		OSCCON  = 0b01110010;
	MOVLW      114
	MOVWF      OSCCON+0
;AD9059.c,28 :: 		PORTA  = 0b00000000;
	CLRF       PORTA+0
;AD9059.c,29 :: 		ANSEL  = 0b00000000;
	CLRF       ANSEL+0
;AD9059.c,30 :: 		TRISA  = 0b00000011;
	MOVLW      3
	MOVWF      TRISA+0
;AD9059.c,33 :: 		PORTB = 0b00000000;
	CLRF       PORTB+0
;AD9059.c,34 :: 		TRISB = 0b00100000;
	MOVLW      32
	MOVWF      TRISB+0
;AD9059.c,37 :: 		OPTION_REG = 0b00000000;
	CLRF       OPTION_REG+0
;AD9059.c,38 :: 		INTCON     = 0b00000000;   // INT0IE: RB0/INT External Interrupt Enable bit
	CLRF       INTCON+0
;AD9059.c,40 :: 		}
	RETURN
; end of _Config

_set_frequency_b:

;AD9059.c,42 :: 		void set_frequency_b(unsigned int freq){
;AD9059.c,43 :: 		LED1 = 1;
	BSF        PORTB+0, 2
;AD9059.c,46 :: 		Soft_I2C_Start();
	CALL       _Soft_I2C_Start+0
;AD9059.c,47 :: 		Soft_I2C_Write(ADR);
	MOVLW      46
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;AD9059.c,48 :: 		Soft_I2C_Write(Hi(freq));
	MOVF       FARG_set_frequency_b_freq+1, 0
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;AD9059.c,49 :: 		Soft_I2C_Write(Lo(freq));
	MOVF       FARG_set_frequency_b_freq+0, 0
	MOVWF      FARG_Soft_I2C_Write_data_+0
	CALL       _Soft_I2C_Write+0
;AD9059.c,50 :: 		Soft_I2C_Stop();
	CALL       _Soft_I2C_Stop+0
;AD9059.c,52 :: 		delay_ms(300);
	MOVLW      4
	MOVWF      R11+0
	MOVLW      12
	MOVWF      R12+0
	MOVLW      51
	MOVWF      R13+0
L_set_frequency_b0:
	DECFSZ     R13+0, 1
	GOTO       L_set_frequency_b0
	DECFSZ     R12+0, 1
	GOTO       L_set_frequency_b0
	DECFSZ     R11+0, 1
	GOTO       L_set_frequency_b0
	NOP
	NOP
;AD9059.c,53 :: 		LED1 = 0;
	BCF        PORTB+0, 2
;AD9059.c,54 :: 		}
	RETURN
; end of _set_frequency_b

_set_frequency:

;AD9059.c,56 :: 		void set_frequency(unsigned int OCT, unsigned long l_freq){
;AD9059.c,57 :: 		unsigned int DAC = 0;
;AD9059.c,58 :: 		unsigned int freq = 0;
;AD9059.c,60 :: 		DAC = 2048 - 2078 * pow(2, 10 + OCT) / l_freq;
	MOVLW      0
	MOVWF      FARG_pow_x+0
	MOVLW      0
	MOVWF      FARG_pow_x+1
	MOVLW      0
	MOVWF      FARG_pow_x+2
	MOVLW      128
	MOVWF      FARG_pow_x+3
	MOVF       FARG_set_frequency_OCT+0, 0
	ADDLW      10
	MOVWF      R0+0
	MOVLW      0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      FARG_set_frequency_OCT+1, 0
	MOVWF      R0+1
	CALL       _Word2Double+0
	MOVF       R0+0, 0
	MOVWF      FARG_pow_y+0
	MOVF       R0+1, 0
	MOVWF      FARG_pow_y+1
	MOVF       R0+2, 0
	MOVWF      FARG_pow_y+2
	MOVF       R0+3, 0
	MOVWF      FARG_pow_y+3
	CALL       _pow+0
	MOVLW      0
	MOVWF      R4+0
	MOVLW      224
	MOVWF      R4+1
	MOVLW      1
	MOVWF      R4+2
	MOVLW      138
	MOVWF      R4+3
	CALL       _Mul_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      FLOC__set_frequency+0
	MOVF       R0+1, 0
	MOVWF      FLOC__set_frequency+1
	MOVF       R0+2, 0
	MOVWF      FLOC__set_frequency+2
	MOVF       R0+3, 0
	MOVWF      FLOC__set_frequency+3
	MOVF       FARG_set_frequency_l_freq+0, 0
	MOVWF      R0+0
	MOVF       FARG_set_frequency_l_freq+1, 0
	MOVWF      R0+1
	MOVF       FARG_set_frequency_l_freq+2, 0
	MOVWF      R0+2
	MOVF       FARG_set_frequency_l_freq+3, 0
	MOVWF      R0+3
	CALL       _Longword2Double+0
	MOVF       R0+0, 0
	MOVWF      R4+0
	MOVF       R0+1, 0
	MOVWF      R4+1
	MOVF       R0+2, 0
	MOVWF      R4+2
	MOVF       R0+3, 0
	MOVWF      R4+3
	MOVF       FLOC__set_frequency+0, 0
	MOVWF      R0+0
	MOVF       FLOC__set_frequency+1, 0
	MOVWF      R0+1
	MOVF       FLOC__set_frequency+2, 0
	MOVWF      R0+2
	MOVF       FLOC__set_frequency+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      R4+0
	MOVF       R0+1, 0
	MOVWF      R4+1
	MOVF       R0+2, 0
	MOVWF      R4+2
	MOVF       R0+3, 0
	MOVWF      R4+3
	MOVLW      0
	MOVWF      R0+0
	MOVLW      0
	MOVWF      R0+1
	MOVLW      0
	MOVWF      R0+2
	MOVLW      138
	MOVWF      R0+3
	CALL       _Sub_32x32_FP+0
	CALL       _Double2Word+0
;AD9059.c,61 :: 		DAC = DAC & 0x3FF;
	MOVLW      255
	ANDWF      R0+0, 0
	MOVWF      R3+0
	MOVF       R0+1, 0
	ANDLW      3
	MOVWF      R3+1
;AD9059.c,63 :: 		freq = (OCT << 12) | (DAC << 2);
	MOVLW      12
	MOVWF      R0+0
	MOVF       FARG_set_frequency_OCT+0, 0
	MOVWF      FARG_set_frequency_b_freq+0
	MOVF       FARG_set_frequency_OCT+1, 0
	MOVWF      FARG_set_frequency_b_freq+1
	MOVF       R0+0, 0
L__set_frequency36:
	BTFSC      STATUS+0, 2
	GOTO       L__set_frequency37
	RLF        FARG_set_frequency_b_freq+0, 1
	RLF        FARG_set_frequency_b_freq+1, 1
	BCF        FARG_set_frequency_b_freq+0, 0
	ADDLW      255
	GOTO       L__set_frequency36
L__set_frequency37:
	MOVF       R3+0, 0
	MOVWF      R0+0
	MOVF       R3+1, 0
	MOVWF      R0+1
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	MOVF       R0+0, 0
	IORWF      FARG_set_frequency_b_freq+0, 1
	MOVF       R0+1, 0
	IORWF      FARG_set_frequency_b_freq+1, 1
;AD9059.c,65 :: 		set_frequency_b(freq);
	CALL       _set_frequency_b+0
;AD9059.c,66 :: 		}
	RETURN
; end of _set_frequency

_main:

;AD9059.c,68 :: 		void main() {
;AD9059.c,69 :: 		unsigned char send_data = 1;
	MOVLW      1
	MOVWF      main_send_data_L0+0
;AD9059.c,70 :: 		Config();
	CALL       _Config+0
;AD9059.c,72 :: 		LED1 = 0;
	BCF        PORTB+0, 2
;AD9059.c,74 :: 		Soft_I2C_Init();
	CALL       _Soft_I2C_Init+0
;AD9059.c,75 :: 		Delay_ms(500);
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L_main1:
	DECFSZ     R13+0, 1
	GOTO       L_main1
	DECFSZ     R12+0, 1
	GOTO       L_main1
	DECFSZ     R11+0, 1
	GOTO       L_main1
	NOP
	NOP
;AD9059.c,76 :: 		freq_index = 0;
	CLRF       _freq_index+0
	CLRF       _freq_index+1
;AD9059.c,78 :: 		do{
L_main2:
;AD9059.c,79 :: 		if(BTN_Up == 0) {
	BTFSC      PORTA+0, 0
	GOTO       L_main5
;AD9059.c,80 :: 		LED1 = 1;
	BSF        PORTB+0, 2
;AD9059.c,81 :: 		if(freq_index < 12) freq_index++;
	MOVLW      128
	XORWF      _freq_index+1, 0
	MOVWF      R0+0
	MOVLW      128
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main38
	MOVLW      12
	SUBWF      _freq_index+0, 0
L__main38:
	BTFSC      STATUS+0, 0
	GOTO       L_main6
	INCF       _freq_index+0, 1
	BTFSC      STATUS+0, 2
	INCF       _freq_index+1, 1
L_main6:
;AD9059.c,82 :: 		send_data = 1;
	MOVLW      1
	MOVWF      main_send_data_L0+0
;AD9059.c,84 :: 		delay_ms(500);
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L_main7:
	DECFSZ     R13+0, 1
	GOTO       L_main7
	DECFSZ     R12+0, 1
	GOTO       L_main7
	DECFSZ     R11+0, 1
	GOTO       L_main7
	NOP
	NOP
;AD9059.c,85 :: 		LED1 = 0;
	BCF        PORTB+0, 2
;AD9059.c,87 :: 		while(BTN_Up == 0);
L_main8:
	BTFSC      PORTA+0, 0
	GOTO       L_main9
	GOTO       L_main8
L_main9:
;AD9059.c,88 :: 		}
L_main5:
;AD9059.c,90 :: 		if(BTN_Down == 0) {
	BTFSC      PORTA+0, 1
	GOTO       L_main10
;AD9059.c,91 :: 		LED1 = 1;
	BSF        PORTB+0, 2
;AD9059.c,92 :: 		if(freq_index > 0) freq_index--;
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _freq_index+1, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main39
	MOVF       _freq_index+0, 0
	SUBLW      0
L__main39:
	BTFSC      STATUS+0, 0
	GOTO       L_main11
	MOVLW      1
	SUBWF      _freq_index+0, 1
	BTFSS      STATUS+0, 0
	DECF       _freq_index+1, 1
L_main11:
;AD9059.c,93 :: 		send_data = 1;
	MOVLW      1
	MOVWF      main_send_data_L0+0
;AD9059.c,95 :: 		delay_ms(500);
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L_main12:
	DECFSZ     R13+0, 1
	GOTO       L_main12
	DECFSZ     R12+0, 1
	GOTO       L_main12
	DECFSZ     R11+0, 1
	GOTO       L_main12
	NOP
	NOP
;AD9059.c,96 :: 		LED1 = 0;
	BCF        PORTB+0, 2
;AD9059.c,98 :: 		while(BTN_Down == 0);
L_main13:
	BTFSC      PORTA+0, 1
	GOTO       L_main14
	GOTO       L_main13
L_main14:
;AD9059.c,99 :: 		}
L_main10:
;AD9059.c,101 :: 		if(BTN_ReSend == 0) {
	BTFSC      PORTB+0, 5
	GOTO       L_main15
;AD9059.c,102 :: 		LED1 = 1;
	BSF        PORTB+0, 2
;AD9059.c,103 :: 		send_data = 1;
	MOVLW      1
	MOVWF      main_send_data_L0+0
;AD9059.c,105 :: 		delay_ms(500);
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L_main16:
	DECFSZ     R13+0, 1
	GOTO       L_main16
	DECFSZ     R12+0, 1
	GOTO       L_main16
	DECFSZ     R11+0, 1
	GOTO       L_main16
	NOP
	NOP
;AD9059.c,106 :: 		LED1 = 0;
	BCF        PORTB+0, 2
;AD9059.c,108 :: 		while(BTN_ReSend == 0);
L_main17:
	BTFSC      PORTB+0, 5
	GOTO       L_main18
	GOTO       L_main17
L_main18:
;AD9059.c,109 :: 		}
L_main15:
;AD9059.c,111 :: 		if(send_data) {
	MOVF       main_send_data_L0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main19
;AD9059.c,112 :: 		switch(freq_index) {
	GOTO       L_main20
;AD9059.c,113 :: 		case 0:  set_frequency(3,  10000UL);         break; // 10 KHz
L_main22:
	MOVLW      3
	MOVWF      FARG_set_frequency_OCT+0
	MOVLW      0
	MOVWF      FARG_set_frequency_OCT+1
	MOVLW      16
	MOVWF      FARG_set_frequency_l_freq+0
	MOVLW      39
	MOVWF      FARG_set_frequency_l_freq+1
	MOVLW      0
	MOVWF      FARG_set_frequency_l_freq+2
	MOVLW      0
	MOVWF      FARG_set_frequency_l_freq+3
	CALL       _set_frequency+0
	GOTO       L_main21
;AD9059.c,114 :: 		case 1:  set_frequency(5,  50000UL);         break; // 50 KHz
L_main23:
	MOVLW      5
	MOVWF      FARG_set_frequency_OCT+0
	MOVLW      0
	MOVWF      FARG_set_frequency_OCT+1
	MOVLW      80
	MOVWF      FARG_set_frequency_l_freq+0
	MOVLW      195
	MOVWF      FARG_set_frequency_l_freq+1
	MOVLW      0
	MOVWF      FARG_set_frequency_l_freq+2
	MOVLW      0
	MOVWF      FARG_set_frequency_l_freq+3
	CALL       _set_frequency+0
	GOTO       L_main21
;AD9059.c,115 :: 		case 2:  set_frequency(6,  100000UL);        break; // 100 KHz
L_main24:
	MOVLW      6
	MOVWF      FARG_set_frequency_OCT+0
	MOVLW      0
	MOVWF      FARG_set_frequency_OCT+1
	MOVLW      160
	MOVWF      FARG_set_frequency_l_freq+0
	MOVLW      134
	MOVWF      FARG_set_frequency_l_freq+1
	MOVLW      1
	MOVWF      FARG_set_frequency_l_freq+2
	MOVLW      0
	MOVWF      FARG_set_frequency_l_freq+3
	CALL       _set_frequency+0
	GOTO       L_main21
;AD9059.c,116 :: 		case 3:  set_frequency(8,  500000UL);        break; // 500 KHz
L_main25:
	MOVLW      8
	MOVWF      FARG_set_frequency_OCT+0
	MOVLW      0
	MOVWF      FARG_set_frequency_OCT+1
	MOVLW      32
	MOVWF      FARG_set_frequency_l_freq+0
	MOVLW      161
	MOVWF      FARG_set_frequency_l_freq+1
	MOVLW      7
	MOVWF      FARG_set_frequency_l_freq+2
	MOVLW      0
	MOVWF      FARG_set_frequency_l_freq+3
	CALL       _set_frequency+0
	GOTO       L_main21
;AD9059.c,117 :: 		case 4:  set_frequency(9,  1000000UL);       break; // 1 MHz
L_main26:
	MOVLW      9
	MOVWF      FARG_set_frequency_OCT+0
	MOVLW      0
	MOVWF      FARG_set_frequency_OCT+1
	MOVLW      64
	MOVWF      FARG_set_frequency_l_freq+0
	MOVLW      66
	MOVWF      FARG_set_frequency_l_freq+1
	MOVLW      15
	MOVWF      FARG_set_frequency_l_freq+2
	MOVLW      0
	MOVWF      FARG_set_frequency_l_freq+3
	CALL       _set_frequency+0
	GOTO       L_main21
;AD9059.c,118 :: 		case 5:  set_frequency(10, 2000000UL);       break; // 2 MHz
L_main27:
	MOVLW      10
	MOVWF      FARG_set_frequency_OCT+0
	MOVLW      0
	MOVWF      FARG_set_frequency_OCT+1
	MOVLW      128
	MOVWF      FARG_set_frequency_l_freq+0
	MOVLW      132
	MOVWF      FARG_set_frequency_l_freq+1
	MOVLW      30
	MOVWF      FARG_set_frequency_l_freq+2
	MOVLW      0
	MOVWF      FARG_set_frequency_l_freq+3
	CALL       _set_frequency+0
	GOTO       L_main21
;AD9059.c,119 :: 		case 6:  set_frequency(12, 5000000UL);       break; // 5 MHz
L_main28:
	MOVLW      12
	MOVWF      FARG_set_frequency_OCT+0
	MOVLW      0
	MOVWF      FARG_set_frequency_OCT+1
	MOVLW      64
	MOVWF      FARG_set_frequency_l_freq+0
	MOVLW      75
	MOVWF      FARG_set_frequency_l_freq+1
	MOVLW      76
	MOVWF      FARG_set_frequency_l_freq+2
	MOVLW      0
	MOVWF      FARG_set_frequency_l_freq+3
	CALL       _set_frequency+0
	GOTO       L_main21
;AD9059.c,120 :: 		case 7:  set_frequency(13, 10000000UL);      break; // 10 MHz
L_main29:
	MOVLW      13
	MOVWF      FARG_set_frequency_OCT+0
	MOVLW      0
	MOVWF      FARG_set_frequency_OCT+1
	MOVLW      128
	MOVWF      FARG_set_frequency_l_freq+0
	MOVLW      150
	MOVWF      FARG_set_frequency_l_freq+1
	MOVLW      152
	MOVWF      FARG_set_frequency_l_freq+2
	MOVLW      0
	MOVWF      FARG_set_frequency_l_freq+3
	CALL       _set_frequency+0
	GOTO       L_main21
;AD9059.c,121 :: 		case 8:  set_frequency(14, 20000000UL);      break; // 20 MHz
L_main30:
	MOVLW      14
	MOVWF      FARG_set_frequency_OCT+0
	MOVLW      0
	MOVWF      FARG_set_frequency_OCT+1
	MOVLW      0
	MOVWF      FARG_set_frequency_l_freq+0
	MOVLW      45
	MOVWF      FARG_set_frequency_l_freq+1
	MOVLW      49
	MOVWF      FARG_set_frequency_l_freq+2
	MOVLW      1
	MOVWF      FARG_set_frequency_l_freq+3
	CALL       _set_frequency+0
	GOTO       L_main21
;AD9059.c,122 :: 		case 9:  set_frequency(14, 30000000UL);      break; // 30 MHz
L_main31:
	MOVLW      14
	MOVWF      FARG_set_frequency_OCT+0
	MOVLW      0
	MOVWF      FARG_set_frequency_OCT+1
	MOVLW      128
	MOVWF      FARG_set_frequency_l_freq+0
	MOVLW      195
	MOVWF      FARG_set_frequency_l_freq+1
	MOVLW      201
	MOVWF      FARG_set_frequency_l_freq+2
	MOVLW      1
	MOVWF      FARG_set_frequency_l_freq+3
	CALL       _set_frequency+0
	GOTO       L_main21
;AD9059.c,123 :: 		case 10: set_frequency(15, 40000000UL);      break; // 40 MHz
L_main32:
	MOVLW      15
	MOVWF      FARG_set_frequency_OCT+0
	MOVLW      0
	MOVWF      FARG_set_frequency_OCT+1
	MOVLW      0
	MOVWF      FARG_set_frequency_l_freq+0
	MOVLW      90
	MOVWF      FARG_set_frequency_l_freq+1
	MOVLW      98
	MOVWF      FARG_set_frequency_l_freq+2
	MOVLW      2
	MOVWF      FARG_set_frequency_l_freq+3
	CALL       _set_frequency+0
	GOTO       L_main21
;AD9059.c,124 :: 		case 11: set_frequency(15, 50000000UL);      break; // 50 MHz
L_main33:
	MOVLW      15
	MOVWF      FARG_set_frequency_OCT+0
	MOVLW      0
	MOVWF      FARG_set_frequency_OCT+1
	MOVLW      128
	MOVWF      FARG_set_frequency_l_freq+0
	MOVLW      240
	MOVWF      FARG_set_frequency_l_freq+1
	MOVLW      250
	MOVWF      FARG_set_frequency_l_freq+2
	MOVLW      2
	MOVWF      FARG_set_frequency_l_freq+3
	CALL       _set_frequency+0
	GOTO       L_main21
;AD9059.c,125 :: 		case 12: set_frequency(15, 60000000UL);      break; // 60 MHz
L_main34:
	MOVLW      15
	MOVWF      FARG_set_frequency_OCT+0
	MOVLW      0
	MOVWF      FARG_set_frequency_OCT+1
	MOVLW      0
	MOVWF      FARG_set_frequency_l_freq+0
	MOVLW      135
	MOVWF      FARG_set_frequency_l_freq+1
	MOVLW      147
	MOVWF      FARG_set_frequency_l_freq+2
	MOVLW      3
	MOVWF      FARG_set_frequency_l_freq+3
	CALL       _set_frequency+0
	GOTO       L_main21
;AD9059.c,126 :: 		default: set_frequency(0,  2000UL);          break; // 2 KHz
L_main35:
	CLRF       FARG_set_frequency_OCT+0
	CLRF       FARG_set_frequency_OCT+1
	MOVLW      208
	MOVWF      FARG_set_frequency_l_freq+0
	MOVLW      7
	MOVWF      FARG_set_frequency_l_freq+1
	MOVLW      0
	MOVWF      FARG_set_frequency_l_freq+2
	MOVLW      0
	MOVWF      FARG_set_frequency_l_freq+3
	CALL       _set_frequency+0
	GOTO       L_main21
;AD9059.c,127 :: 		}
L_main20:
	MOVLW      0
	XORWF      _freq_index+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main40
	MOVLW      0
	XORWF      _freq_index+0, 0
L__main40:
	BTFSC      STATUS+0, 2
	GOTO       L_main22
	MOVLW      0
	XORWF      _freq_index+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main41
	MOVLW      1
	XORWF      _freq_index+0, 0
L__main41:
	BTFSC      STATUS+0, 2
	GOTO       L_main23
	MOVLW      0
	XORWF      _freq_index+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main42
	MOVLW      2
	XORWF      _freq_index+0, 0
L__main42:
	BTFSC      STATUS+0, 2
	GOTO       L_main24
	MOVLW      0
	XORWF      _freq_index+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main43
	MOVLW      3
	XORWF      _freq_index+0, 0
L__main43:
	BTFSC      STATUS+0, 2
	GOTO       L_main25
	MOVLW      0
	XORWF      _freq_index+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main44
	MOVLW      4
	XORWF      _freq_index+0, 0
L__main44:
	BTFSC      STATUS+0, 2
	GOTO       L_main26
	MOVLW      0
	XORWF      _freq_index+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main45
	MOVLW      5
	XORWF      _freq_index+0, 0
L__main45:
	BTFSC      STATUS+0, 2
	GOTO       L_main27
	MOVLW      0
	XORWF      _freq_index+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main46
	MOVLW      6
	XORWF      _freq_index+0, 0
L__main46:
	BTFSC      STATUS+0, 2
	GOTO       L_main28
	MOVLW      0
	XORWF      _freq_index+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main47
	MOVLW      7
	XORWF      _freq_index+0, 0
L__main47:
	BTFSC      STATUS+0, 2
	GOTO       L_main29
	MOVLW      0
	XORWF      _freq_index+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main48
	MOVLW      8
	XORWF      _freq_index+0, 0
L__main48:
	BTFSC      STATUS+0, 2
	GOTO       L_main30
	MOVLW      0
	XORWF      _freq_index+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main49
	MOVLW      9
	XORWF      _freq_index+0, 0
L__main49:
	BTFSC      STATUS+0, 2
	GOTO       L_main31
	MOVLW      0
	XORWF      _freq_index+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main50
	MOVLW      10
	XORWF      _freq_index+0, 0
L__main50:
	BTFSC      STATUS+0, 2
	GOTO       L_main32
	MOVLW      0
	XORWF      _freq_index+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main51
	MOVLW      11
	XORWF      _freq_index+0, 0
L__main51:
	BTFSC      STATUS+0, 2
	GOTO       L_main33
	MOVLW      0
	XORWF      _freq_index+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main52
	MOVLW      12
	XORWF      _freq_index+0, 0
L__main52:
	BTFSC      STATUS+0, 2
	GOTO       L_main34
	GOTO       L_main35
L_main21:
;AD9059.c,128 :: 		}
L_main19:
;AD9059.c,130 :: 		send_data = 0;
	CLRF       main_send_data_L0+0
;AD9059.c,131 :: 		} while(1);
	GOTO       L_main2
;AD9059.c,132 :: 		}
	GOTO       $+0
; end of _main
